#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on MON APR  1 29:11:41 2019

@author: moetom
--------------------------------------------------------------------------
This file is part of Verrücktes Gemüse.

Verrücktes Gemüse is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Verrücktes Gemüse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
--------------------------------------------------------------------------
"""

import mod.gemuese as gemuese
import pygame.mixer as mixer
mixer.init()

""" Tomate """
t1 = mixer.Sound("mod/crazy/tom_lachen.ogg")
t2 = mixer.Sound("mod/crazy/tom_rot.ogg")
t3 = mixer.Sound("mod/crazy/tom_zitronesein.ogg")

t1s = "-lacht verrückt-"
t2s = "Mhh, wenn du mich so anfasst werde ich ganz rot"
t3s = "Ich bin sehr gerne eine Tomate. Aber eigentlich wollte ich eine Zitrone sein!"

gemuese.tomate.AddVocab([t1, t2, t3], [t1s, t2s, t3s])

""" Apfel """
a1 = mixer.Sound("mod/crazy/apf_strom.ogg")
a2 = mixer.Sound("mod/crazy/apf_schnip.ogg")
a3 = mixer.Sound("mod/crazy/apf_iphone.ogg")

a1s = "Bssst - Ich steh voll unter Strom!"
a2s = "Schnip Schnip - Apfelmus!"
a3s = "Mich kannst du essen, ein iPhone nicht."

gemuese.apfel.AddVocab([a1, a2, a3], [a1s, a2s, a3s])

""" Paprika """
p1 = mixer.Sound("mod/crazy/pap_sauber.ogg")
p2 = mixer.Sound("mod/crazy/pap_leiden.ogg")
p3 = mixer.Sound("mod/crazy/pap_messer.ogg")

p1s = "Hee, fass mich nicht an! Ich hoffe deine Hände sind sauber!"
p2s = "Ich kann dich nicht leiden!"
p3s = "Ey, ich hab heute noch ein Rendezvous. Mit einem Messer!"

gemuese.paprika.AddVocab([p1, p2, p3], [p1s, p2s, p3s])

""" Orange """
o1 = mixer.Sound("mod/crazy/ora_schuetteln.ogg")
o2 = mixer.Sound("mod/crazy/ora_furz.ogg")
o3 = mixer.Sound("mod/crazy/ora_burp.ogg")

o1s = "-schüttelt sich sabbernd-"
o2s = "-furzt- Was kommt rein - Muss raus!"
o3s = "-burp-"

gemuese.orange.AddVocab([o1, o2, o3], [o1s, o2s, o3s])


""" Zitrone """
z1 = mixer.Sound("mod/crazy/zit_heiratebald.ogg")
z2 = mixer.Sound("mod/crazy/zit_schmutzig.ogg")
z3 = mixer.Sound("mod/crazy/zit_ohneschale.ogg")
z4 = mixer.Sound("mod/crazy/zit_froh.ogg")


z1s = "Hey Kartoffel, ich heirate bald."
z2s = "Aber ich lade dich nicht ein. Weil du schmutzig bist."
z3s = "Aber wenn du kommen willst, bitte nackt ohne Schale!"
z4s = "Aber wirklich wenn du nakt kommst dann freue ich mich sehr! -jubel-"

gemuese.zitrone.AddVocab([z1, z2, z3, z4], [z1s, z2s, z3s, z4s])


""" Kartoffel """
k1 = mixer.Sound("mod/crazy/kar_nakt.ogg")
k2 = mixer.Sound("mod/crazy/kar_fett.ogg")
k3 = mixer.Sound("mod/crazy/kar_ohja.ogg")
k4 = mixer.Sound("mod/crazy/kar_fleisch.ogg")

k1s = "OK! Dann komm ich nackt auf die Hochzeit."
k2s = "Schnell, schnell, wirf mich ins heiße Fett! Los!"
k3s = "OH JA! Ich mag es wenn du mich berührst!"
k4s = "Mmhh, ich hab lust auf Fleisch!"

gemuese.kartoffel.AddVocab([k1, k2, k3, k4], [k1s, k2s, k3s, k4s])
